import { redis } from '@/modules/redis.ts';
import { Queue } from 'bullmq';
import { nanoid } from 'nanoid';
const XHS_QUEUE_NAME = 'XHS_QUEUE';
export const queue = new Queue(XHS_QUEUE_NAME, {
  connection: redis,
});

// 初始启动
async function start() {
  const res = await queue.add(
    'start-job',
    {
      name: 'initialJob',
    },
    {
      delay: 0, // 立即执行
      removeOnComplete: true,
      removeOnFail: true,
      jobId: nanoid(), // 使用 nanoid 生成唯一 ID
    },
  );
  console.log('Queue started:', res.id);
}
//
start();
const getTasks = async () => {
  const tasks = await queue.getJobs(['waiting', 'active', 'completed', 'failed']);
  return tasks;
};
const getTask = async (id: string) => {
  const task = await queue.getJob(id);
  return task;
};
const removeTask = async (id: string) => {
  const task = await queue.getJob(id);
  if (task) {
    await task.remove();
  }
};

// const task = await getTask('4');
// console.log('task', task);
